> ## Documentation Index
> Fetch the complete documentation index at: https://developers.smsmanager.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Přečíst odeslané zprávy



## OpenAPI

````yaml /openapi/cs/rest/restapi_v1.yaml get /messages
openapi: 3.1.0
info:
  title: REST API SmsManager
  description: |
    API pro správu účtů a dalších zdrojů SmsManageru.
  version: v1
  contact:
    url: https://smsmanager.com
    email: cc@smsmanager.com
servers:
  - url: https://rest-api.smsmngr.com/v1
    description: Odpoví s daty vašeho požadavku
security:
  - x-api-key: []
tags:
  - name: api
    x-displayName: API klíč
    description: |
      Pro správu API klíčů použijte následující koncové body.
  - name: status
    x-displayName: Stav
    description: |
      Pro čtení stavu odeslaných zpráv použijte následující koncové body.
  - name: inbox
    x-displayName: Inbox
    description: |
      For reading inbox messages use the following endpoints.
  - name: credit
    x-displayName: Credit
    description: |
      For reading credit balance or pricelist info use the following endpoints.
paths:
  /messages:
    get:
      tags:
        - status
      summary: Přečíst odeslané zprávy
      parameters:
        - name: date
          in: query
          required: true
          description: Datum ve formátu RRRR-MM-DD
          schema:
            type: string
            format: date
            example: '2025-01-01'
      responses:
        '200':
          description: Informace o zprávě
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    description: Stav úspěchu.
                    example: true
                  messages:
                    type: array
                    description: Pole zpráv.
                    items:
                      type: object
                      properties:
                        message_id:
                          type: string
                          description: ID zprávy.
                        message_parts:
                          type: number
                          description: Počet částí zprávy.
                        ts_sent:
                          type: integer
                          description: Časové razítko odeslání zprávy.
                        ts_delivered:
                          type: integer
                          description: Časové razítko doručení zprávy.
                        sent:
                          type: integer
                          description: Počet odeslaných zpráv.
                        delivered:
                          type: integer
                          description: Počet doručených zpráv.
                        nondelivered:
                          type: integer
                          description: Počet nedoručených zpráv.
                        body:
                          type: string
                          description: Tělo zprávy.
                        sender:
                          type: string
                          description: Odesílatel.
                        to:
                          type: string
                          description: Příjemce.
                        flow:
                          type: string
                          description: Definice toku. Obvykle "whatsapp" nebo "sms" atd.
        '400':
          description: Špatný požadavek
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    description: Stav úspěchu.
                    example: false
                  message:
                    type: string
                    description: Chybová zpráva.
                    example: Registrace na WhatsApp se nezdařila
components:
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key

````